<%-
  # Base template:
  # haml-rails/lib/generators/haml/scaffold/templates/index.html.haml

  # Custom vars from available generator methods/instance vars:
  # i.e.: member
  namespace_name = class_path.length > 0 ? class_path.first : nil
  # i.e.: post (without namespace)
  singular_table_name_only = file_name
  # i.e.: posts (without namespace)
  plural_table_name_only = controller_class_name.demodulize.underscore
  # i.e: member_post_path(@post)
  path_method_to_one = show_helper(singular_table_name_only, type: :path)
  # i.e: new_member_post_path
  path_method_to_new = new_helper(type: :path)
  # i.e: edit_member_post_path(@post)
  path_method_to_edit = edit_helper(singular_table_name_only, type: :path)
-%>
- @page_title = t('.title')

= render 'layouts/page_actions', new_url: <%= path_method_to_new %>,
                                 new_caption:  t('.new')

- if @<%= plural_table_name_only %>.empty?
  .rui-empty= t('.no_content')
- else
  %table
    %caption.-sr-only= t('.table_caption')
    %thead
      %tr
        %th.-text--monospace.-text--right{ scope: 'col' }= t('generic.id')
        <%- for attribute in attributes -%>
        %th{ scope: 'col' }= t('activerecord.attributes.<%= singular_table_name_only %>.<%= attribute.name %>')
        <%- end -%>
        <%- unless namespace_name.blank? -%>
        %th{ scope: 'col' }
        <%- end -%>

    %tbody
      - @<%= plural_table_name_only %>.each do |<%= singular_table_name_only %>|
        %tr
          %td.-text--monospace.-text--right= <%= singular_table_name_only %>.id
          <%- attribute_index = 0 -%>
          <%- for (attribute, index) in attributes -%>
          %td<%- if attribute_index == 0
          -%>= link_to <%= singular_table_name_only %>.<%= attribute.name %>, <%= path_method_to_one %>
          <%- else -%>= <%= singular_table_name_only %>.<%= attribute.name %>
          <%- end -%>
          <%- attribute_index += 1 -%>
          <%- end -%>
          %td.-actions
            = render 'layouts/entity_actions', edit_url: <%= path_method_to_edit %>,
                                               destroy_url: <%= path_method_to_one %>
